unit uEditorDatosBancariosEmpresa;

interface

uses Windows, SysUtils, Classes, Graphics, Forms, Controls, StdCtrls,
  Buttons, ExtCtrls, Mask, DBCtrls, DB, uDADataTable, PngSpeedButton,
  cxControls, cxContainer, cxEdit, cxTextEdit, cxHyperLinkEdit, cxDBEdit,
  uIEditorDatosBancarioEmpresa, uDatosBancariosEmpresaController, uBizEmpresasDatosBancarios,
  cxCurrencyEdit;

type
  TfEditorDatosBancariosEmpresa = class(TForm, IEditorDatosBancariosEmpresa)
    OKBtn: TButton;
    CancelBtn: TButton;
    dsDatosBancarios: TDADataSource;
    GroupBox1: TGroupBox;
    Label5: TLabel;
    eNombre: TDBEdit;
    Label2: TLabel;
    eCodEntidad: TDBEdit;
    Label3: TLabel;
    eCodSucursal: TDBEdit;
    Label4: TLabel;
    eDC: TDBEdit;
    Label6: TLabel;
    eCuenta: TDBEdit;
    GroupBox2: TGroupBox;
    Label7: TLabel;
    eNorma19: TDBEdit;
    Label1: TLabel;
    eNorma58: TDBEdit;
  protected
    FController : IDatosBancariosEmpresaController;
    FDatosBancarios: IBizEmpresasDatosBancarios;

    function GetController : IDatosBancariosEmpresaController;
    procedure SetController (const Value : IDatosBancariosEmpresaController);

    function GetDatosBancarios: IBizEmpresasDatosBancarios;
    procedure SetDatosBancarios(const Value: IBizEmpresasDatosBancarios);
  public
    constructor Create(AOwner: TComponent); override;
    destructor Destroy; override;
    property DatosBancarios: IBizEmpresasDatosBancarios read GetDatosBancarios write SetDatosBancarios;
    property Controller : IDatosBancariosEmpresaController read GetController
      write SetController;
  end;

implementation

uses
  Variants;

{$R *.dfm}

{ TfEditorDireccion }

constructor TfEditorDatosBancariosEmpresa.Create(AOwner: TComponent);
begin
  inherited;
  FController := NIL;
end;

destructor TfEditorDatosBancariosEmpresa.Destroy;
begin
  FController := NIL;
  inherited;
end;

function TfEditorDatosBancariosEmpresa.GetController: IDatosBancariosEmpresaController;
begin
  Result := FController;
end;

function TfEditorDatosBancariosEmpresa.GetDatosBancarios: IBizEmpresasDatosBancarios;
begin
  Result := FDatosBancarios;
end;

procedure TfEditorDatosBancariosEmpresa.SetController(
  const Value: IDatosBancariosEmpresaController);
begin
  FController := Value;
end;

procedure TfEditorDatosBancariosEmpresa.SetDatosBancarios(
  const Value: IBizEmpresasDatosBancarios);
begin
  FDatosBancarios := Value;
  if Assigned(FDatosBancarios) then
    dsDatosBancarios.DataTable := FDatosBancarios.DataTable
  else
    dsDatosBancarios.DataTable := NIL;
end;


end.
